Loading...
Searching...
No Matches
KeyFrame.h File Reference

Header file for the Keyframe class. More...

`#include <iostream>`
`#include <vector>`
`#include "Point.h"`
`#include "Json.h"`

Go to the source code of this file.

## Classes

class | openshot::Keyframe
| A Keyframe is a collection of Point instances, which is used to vary a number or property over time. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Functions

double | openshot::InterpolateBetween (Point const &left, Point const &right, double target, double allowed_error)
| Interpolate two points using the right Point's interpolation method.
double | openshot::InterpolateBezierCurve (Point const &left, Point const &right, double const target, double const allowed_error)
| Bezier interpolation between two points.
double | openshot::InterpolateLinearCurve (Point const &left, Point const &right, double const target)
| Linear interpolation between two points.
bool | openshot::IsPointBeforeX (Point const &p, double const x)
| Check if the X coordinate of a given Point is lower than a given value.

## Detailed Description

Header file for the Keyframe class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file KeyFrame.h.